core

## Enum IqrfDeviceModel.SleepMode

- java.lang.Object
- - java.lang.Enum<IqrfDeviceModel.SleepMode>
  - - core.IqrfDeviceModel.SleepMode

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<IqrfDeviceModel.SleepMode>
  Enclosing class:
    IqrfDeviceModel

      public static enum IqrfDeviceModel.SleepMode
      extends java.lang.Enum<IqrfDeviceModel.SleepMode>
      implements EnumBase

  Operation modes supported by the IQRF device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `restart`
    `rxMode`
    `sleepMode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `hexCode`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHexCode()`
    `java.lang.String` | `getNiceName()`
    `static IqrfDeviceModel.SleepMode` | `parse(java.lang.String code)`
    `java.lang.String` | `toString()`
    `static IqrfDeviceModel.SleepMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IqrfDeviceModel.SleepMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### restart

          public static final IqrfDeviceModel.SleepMode restart

    - #### rxMode

          public static final IqrfDeviceModel.SleepMode rxMode

    - #### sleepMode

          public static final IqrfDeviceModel.SleepMode sleepMode

  - ### Field Detail

    - #### hexCode

          private java.lang.String hexCode

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getHexCode

          public java.lang.String getHexCode()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### parse

          public static IqrfDeviceModel.SleepMode parse(java.lang.String code)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<IqrfDeviceModel.SleepMode>`

    - #### valueOf

          public static IqrfDeviceModel.SleepMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static IqrfDeviceModel.SleepMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IqrfDeviceModel.SleepMode c : IqrfDeviceModel.SleepMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared